using System.CommandLine;
using MycroForge.CLI.Commands.Interfaces;

namespace MycroForge.CLI.Commands;

public partial class MycroForge
{
    public partial class Orm
    {
        public partial class Generate : Command, ISubCommandOf<Orm>
        {
            public Generate(IEnumerable<ISubCommandOf<Generate>> subCommands) :
                base("generate", "Generate an ORM item")
            {
                AddAlias("g");
                foreach (var subCommandOf in subCommands.Cast<Command>())
                    AddCommand(subCommandOf);
            }
            
        }
    }
}